<?php
// Copyright 1999-2015. Parallels IP Holdings GmbH. All Rights Reserved.

class RemoveInconsistentWebalizerHiddenReferrer extends Upgrader\Migration
{
    public function change()
    {
        if ($this->_driver->isWindows()) {
            return;
        }
        $this->_driver->query('DELETE referrer FROM webalizer_hidden_referrer referrer
          LEFT JOIN domains d ON (referrer.dom_id = d.id)
          WHERE d.id IS NULL;');
    }
}
